{% extends 'registration/base.html' %}
{% block title_header %}لیست مقالات{% endblock %}
{% block title %}لیست مقالات{% endblock %}


{% block main %}
    <div class="row">
        <div class="col-12">
            {% if object_list %}
                <div class="card">
                    <!-- /.card-header -->
                    <div class="card-body table-responsive p-0">
                        <table class="table table-hover">
                            <thead>
                            <tr>
                                <th>نام نویسنده</th>
                                <th>عنوان مقاله</th>
                                <th>دسته بندی ها</th>
                                <th>توضیحات</th>
                                <th>عکس</th>
                                <th>زمان انتشار</th>
                                <th>مقاله ویزه</th>
                                <th>وضعیت انتشار</th>
                            </tr>
                            </thead>
                            <tbody>
                            {% for article in object_list %}

                                <tr>
                                    <td>{{ article.author.get_full_name }}</td>
                                    {% if article.status in 'db'|make_list or user.is_superuser %}
                                        <td><a href="{% url 'account:update' article.pk %}">{{ article.title }}</a></td>
                                    {% else %}
                                        <td>{{ article.title }}</td>
                                    {% endif %}
                                    <td>{{ article.catgores }}</td>
                                    <td>{{ article.descriptions|striptags|truncatewords:"30" }}</td>
                                    <td><img src="{{ article.thumbnail.url }}" width="120" class="img-rounded"></td>
                                    <td>{{ article.jpu }}</td>
                                    <td>
                                        {% if article.is_special %}
                                            <i class="fa fa-check-circle text-success" ></i>
                                        {% else %}
                                            <i class="fa fa-minus-circle" style="color: red"></i>
                                        {% endif %}
                                    </td>
                                    <td>
                                        {% if article.status == 'p' %}
                                            <span class="badge badge-success">منتشر شده</span>
                                            <br>
                                            <a href="{% url 'blog:detail' article.slug %}" target="_blank"
                                               style="cursor: pointer" class="badge badge-primary">نمایش مقاله</a>
                                        {% elif article.status == 'i' %}
                                            <span class="badge " style="background-color: #15dbe0;">درحال بررسی</span>
                                            {% if user.is_superuser %}
                                                <br>
                                                <a href="{% url 'blog:preview' article.pk %}" target="_blank"
                                                   style="cursor: pointer" class="badge badge-primary">پیش نمایش</a>
                                            {% endif %}
                                        {% else %}
                                           {% if article.status == 'd' %}
                                            <span class="badge badge-danger">منتشر نشده</span>
                                           {% elif article.status == 'b' %}
                                               <span class="badge badge-warning">برگشت داد شده</span>

                                                <a href="{% url 'blog:preview' article.pk %}" target="_blank"
                                                   style="cursor: pointer" class="badge badge-primary">پیش نمایش</a>
                                           {% endif %}

                                        {% endif %}
                                        {% if user.is_superuser %}
                                            <a href="{% url 'account:delete' article.pk %}" target="_blank"
                                               style="cursor: pointer" class="badge text-danger">حذف مقاله</a>
                                        {% endif %}
                                    </td>
                                </tr>
                            {% endfor %}
                            </tbody>
                        </table>
                    </div>
                    <!-- /.card-body -->
                </div>
            {% else %}
                <h3 class="text-center text-primary">محتوایی باری نمایش وجود ندارد</h3>
            {% endif %}

            <!-- /.card -->
        </div>
    </div>
{% endblock %}